<?php
/*##################################################
 *                  comm.php
 *             -------------------
 *   begin         : April 21, 2012
 *   copyright     : (C) 2012 SaTurNin / F Mainardis
 *   site          : http://chez-swan.net/
 *
 ###################################################*/
 
require_once('../kernel/begin.php');
if (defined('PHPBOOST') !== true)	
	exit;
load_module_lang('comm'); //Chargement de la langue du module.

defined('ALTERNATIVE_CSS') or define('ALTERNATIVE_CSS', 'comm');
define('TITLE', $COMM_LANG['title']);	
require_once('../kernel/header.php');

require_once(PATH_TO_ROOT . '/lang/' . get_ulang() . '/admin.php');
$module = retrieve(GET, 'module', '');

$Template->set_filenames(array(
	'comm'=> 'comm/comm.tpl'
));

//Chargement du cache
$Cache->load('com');
$Cache->load('comm');
//On récupère le nombre de commentaires dans chaque modules.
$array_com = array();
$result = $Sql->query_while ("SELECT script, COUNT(*) as total
FROM " . DB_TABLE_COM . " 
GROUP BY script", __LINE__, __FILE__);

while ($row = $Sql->fetch_assoc($result))
	$array_com[$row['script']] = $row['total'];

$Sql->query_close($result);

//On crée une pagination si le nombre de commentaires est trop important.
import('util/pagination'); 
$Pagination = new Pagination();

$nbr_com = !empty($module) ? (!empty($array_com[$module]) ? $array_com[$module] : 0) : $Sql->count_table('com', __LINE__, __FILE__);
$Template->assign_vars(array(
	'THEME' => get_utheme(),
	'LANG' => get_ulang(),
	'PAGINATION_COM' => $Pagination->display('comm.php?pc=%d', $nbr_com, 'pc', $CONFIG_COM['com_max'], 3),
	'L_DISPLAY_RECENT' => $LANG['display_recent_com'],
	'L_DISPLAY_TOPIC_COM' => $LANG['display_topic_com'],
	'L_CONFIRM_DELETE' => $LANG['alert_delete_msg'],
	'L_EDIT' => $LANG['edit'],
	'L_DELETE' => $LANG['delete'],
	'L_COM' => $LANG['com'],
	'L_COM_CONFIG' => $LANG['com_config'],
	//lang comm_french.php
	'L_TITLE' => $COMM_LANG['title'],
	'L_LABEL' => $COMM_LANG['info_label_com'],
	'L_ALL_COMM' => $COMM_LANG['all_comms'],
	'L_PAGES' => $COMM_LANG['pages'],	
));

//Modules disponibles
import('io/filesystem/folder');
$folder_path = new Folder('../');
foreach ($folder_path->get_folders('`^[a-z0-9_ -]+$`i') as $modules)
{
	$modulef = $modules->get_name();
	//Désormais on vérifie que le fichier de configuration est présent.
	if (@file_exists('../' . $modulef . '/lang/' . get_ulang() . '/config.ini'))
	{
		//Récupération des infos de config.
		$info_module = load_ini_file('../' . $modulef . '/lang/', get_ulang());
		if (isset($info_module['info']) && !empty($info_module['com']) && isset($CONFIG_COMM[$info_module['com']]))
		{
			$Template->assign_block_vars('modules_com', array(
				'MODULES' => $info_module['name'] . (isset($array_com[$info_module['com']]) ? ' (' . $array_com[$info_module['com']] . ')' : ' (0)'),
				'U_MODULES' => $info_module['com']
			));
		}
	}
}

//Gestion des rangs.
$Cache->load('ranks');

$cond = !empty($module) ? "WHERE script = '" . $module . "'" : '';
$result = $Sql->query_while("SELECT c.idprov, c.idcom, c.login, c.user_id, c.timestamp, c.script, c.path, m.login as mlogin, m.level, m.user_mail, m.user_show_mail, m.timestamp AS registered, m.user_avatar, m.user_msg, m.user_local, m.user_web, m.user_sex, m.user_msn, m.user_yahoo, m.user_sign, m.user_warning, m.user_ban, m.user_groups, s.user_id AS connect, c.contents
FROM " . DB_TABLE_COM . " c
LEFT JOIN " . DB_TABLE_MEMBER . " m ON m.user_id = c.user_id
LEFT JOIN " . DB_TABLE_SESSIONS . " s ON s.user_id = c.user_id AND s.session_time > '" . (time() - $CONFIG['site_session_invit']) . "'
" . $cond . "
GROUP BY c.idcom
ORDER BY c.timestamp DESC
" . $Sql->limit($Pagination->get_first_msg($CONFIG_COM['com_max'], 'pc'), $CONFIG_COM['com_max']), __LINE__, __FILE__);
while ($row = $Sql->fetch_assoc($result))
{
	$row['user_id'] = (int)$row['user_id'];
	$is_guest = ($row['user_id'] === -1);

	//Pseudo.
	if (!$is_guest) 
		$com_pseudo = '<a class="msg_link_pseudo" href="../member/member' . url('.php?id=' . $row['user_id'], '-' . $row['user_id'] . '.php') . '" title="' . $row['mlogin'] . '"><span style="font-weight: bold;">' . wordwrap_html($row['mlogin'], 13) . '</span></a>';
	else
		$com_pseudo = '<span style="font-style:italic;">' . (!empty($row['login']) ? wordwrap_html($row['login'], 13) : $LANG['guest']) . '</span>';
	
	//Rang de l'utilisateur.
	$user_rank = ($row['level'] === '0') ? $LANG['member'] : $LANG['guest'];
	$user_group = $user_rank;
	if ($row['level'] === '2') //Rang spécial (admins).  
	{
		$user_rank = $_array_rank[-2][0];
		$user_group = $user_rank;
		$user_rank_icon = $_array_rank[-2][1];
	}
	elseif ($row['level'] === '1') //Rang spécial (modos).  
	{
		$user_rank = $_array_rank[-1][0];
		$user_group = $user_rank;
		$user_rank_icon = $_array_rank[-1][1];
	}
	else
	{
		foreach ($_array_rank as $msg => $ranks_info)
		{
			if ($msg >= 0 && $msg <= $row['user_msg'])
			{ 
				$user_rank = $ranks_info[0];
				$user_rank_icon = $ranks_info[1];
				break;
			}
		}
	}
	
	//Image associée au rang.
	$user_assoc_img = isset($user_rank_icon) ? '<img src="../templates/' . get_utheme() . '/images/ranks/' . $user_rank_icon . '" alt="" />' : '';
	
	//Affichage des groupes du membre.		
	if (!empty($row['user_groups']) && $_array_groups_auth) 
	{	
		$user_groups = '';
		$array_user_groups = explode('|', $row['user_groups']);
		foreach ($_array_groups_auth as $idgroup => $array_group_info)
		{
			if (is_numeric(array_search($idgroup, $array_user_groups)))
				$user_groups .= !empty($array_group_info['img']) ? '<img src="../images/group/' . $array_group_info['img'] . '" alt="' . $array_group_info['name'] . '" title="' . $array_group_info['name'] . '"/><br />' : $LANG['group'] . ': ' . $array_group_info['name'];
		}
	}
	else
		$user_groups = $LANG['group'] . ': ' . $user_group;
	
	//Membre en ligne?
	$user_online = !empty($row['connect']) ? 'online' : 'offline';
	
	//Avatar			
	//if (empty($row['user_avatar'])) 
	//		$user_avatar = ($CONFIG_USER['activ_avatar'] == '1' && !empty($CONFIG_USER['avatar_url'])) ? '<img src="../templates/' . get_utheme() . '/images/' .  $CONFIG_USER['avatar_url'] . '" alt="" />' : '';
	//	else
	//		$user_avatar = '<img src="' . $row['user_avatar'] . '" alt=""	/>';

	//Avatar  mod ico 
	if(empty($row['user_avatar']))
	$ico_avatar=($CONFIG_USER['activ_avatar']=='1'&&!empty($CONFIG_USER['avatar_url']))? ''.PATH_TO_ROOT.'/templates/'.get_utheme().'/images/'.$CONFIG_USER['avatar_url'].'' :'';
	else
	$ico_avatar=$row['user_avatar'];
	//end mod 
	
	//Affichage du sexe et du statut (connecté/déconnecté).	
	$user_sex = '';
	if ($row['user_sex'] == 1)	
		$user_sex = $LANG['sex'] . ': <img src="../templates/' . get_utheme() . '/images/man.png" alt="" /><br />';	
	elseif ($row['user_sex'] == 2) 
		$user_sex = $LANG['sex'] . ': <img src="../templates/' . get_utheme() . '/images/woman.png" alt="" /><br />';
			
	//Nombre de message.
	$user_msg = ($row['user_msg'] > 1) ? $LANG['message_s'] . ': ' . $row['user_msg'] : $LANG['message'] . ': ' . $row['user_msg'];
	
	//Localisation.
	if (!empty($row['user_local'])) 
	{
		$user_local = $LANG['place'] . ': ' . $row['user_local'];
		$user_local = $user_local > 15 ? substr_html($user_local, 0, 15) . '...<br />' : $user_local . '<br />';			
	}
	else $user_local = '';
	
	$row['path'] = preg_replace('`&quote=[0-9]+`', '', $row['path']);
	
	$Template->assign_block_vars('com', array(
		'ID' => $row['idcom'],
		'CONTENTS' => ucfirst(second_parse($row['contents'])),
		'COM_SCRIPT' => 'anchor_' . $row['script'],
		'DATE' => $LANG['on'] . ': ' . gmdate_format('date_format', $row['timestamp']),
		'USER_ONLINE' => '<img src="../templates/' . get_utheme() . '/images/' . $user_online . '.png" alt="" class="valign_middle" />',
		'USER_PSEUDO' => $com_pseudo,			
		'USER_RANK' => (($row['user_warning'] < '100' || (time() - $row['user_ban']) < 0) ? $user_rank : $LANG['banned']),
		'USER_IMG_ASSOC' => $user_assoc_img,
		//'USER_AVATAR' => $user_avatar,	
		//mod 
		'ICO_AVATAR'=>$ico_avatar,
		'USER_ID' => $row['user_id'] ,
		//end mod		
		'USER_GROUP' => $user_groups,
		'USER_DATE' => !$is_guest ? $LANG['registered_on'] . ': ' . gmdate_format('date_format_short', $row['registered']) : '',
		'USER_SEX' => $user_sex,
		'USER_MSG' => !$is_guest ? $user_msg : '',
		'USER_LOCAL' => $user_local,
		'USER_MAIL' => (!empty($row['user_mail']) && ($row['user_show_mail'] == '1')) ? '<a href="mailto:' . $row['user_mail'] . '"><img src="../templates/' . get_utheme() . '/images/' . get_ulang() . '/email.png" alt="' . $row['user_mail']  . '" title="' . $row['user_mail']  . '" /></a>' : '',			
		'USER_MSN' => !empty($row['user_msn']) ? '<a href="mailto:' . $row['user_msn'] . '"><img src="../templates/' . get_utheme() . '/images/' . get_ulang() . '/msn.png" alt="' . $row['user_msn']  . '" title="' . $row['user_msn']  . '" /></a>' : '',
		'USER_YAHOO' => !empty($row['user_yahoo']) ? '<a href="mailto:' . $row['user_yahoo'] . '"><img src="../templates/' . get_utheme() . '/images/' . get_ulang() . '/yahoo.png" alt="' . $row['user_yahoo']  . '" title="' . $row['user_yahoo']  . '" /></a>' : '',
		'USER_SIGN' => !empty($row['user_sign']) ? '____________________<br />' . second_parse($row['user_sign']) : '',
		'USER_WEB' => !empty($row['user_web']) ? '<a href="' . $row['user_web'] . '"><img src="../templates/' . get_utheme() . '/images/' . get_ulang() . '/user_web.png" alt="' . $row['user_web']  . '" title="' . $row['user_yahoo']  . '" /></a>' : '',
		'U_PROV' => $row['path'],
		'U_USER_PM' => '<a href="../member/pm' . url('.php?pm=' . $row['user_id'], '-' . $row['user_id'] . '.php') . '"><img src="../templates/' . get_utheme() . '/images/' . get_ulang() . '/pm.png" alt="" /></a>',
		'U_EDIT_COM' => preg_replace('`com=[0-9]+`', 'com=' . $row['idcom'], $row['path']) . '&editcom=1',
		'U_DEL_COM' => preg_replace('`com=[0-9]+`', 'com=' . $row['idcom'], $row['path']) . '&delcom=1',
	));
}

$Template->pparse('comm'); // traitement du modele	

require_once('../kernel/footer.php');

?>
